<div #modalDialog>
    <div class="uk-modal-dialog uk-modal-body">
        <h2 class="uk-modal-title" data-test="title">{{ title }}</h2>
        <ng-container *ngIf="dataComponent" [ngComponentOutlet]="dataComponent" [ngComponentOutletInjector]="myInjector" ></ng-container>
    </div>
</div>
